# ROAM++

If you failed to install and run this tracker, please email me (tianyyang8-c@my.cityu.edu.hk).

## Prerequisites
CPU: Intel(R) Core(TM) i7-6700 CPU @ 3.40GHz
GPU: NVIDIA GTX1080

* python3.5
* pytorch == 1.1.0 (CUDA9.0)
* numpy 
* pillow

## Pretrained model for ROAM++
The pretrained model can be downloaded from my shared google drive:[ROAMpp.model](https://drive.google.com/open?id=1cVbTrpnFMXj05Z_dU4jBjJyp3-y-iD8o).
Then, you should copy the pretrained model file `ROAMpp.torch` to the subfolder `./code/model`, so that the tracker can find and load the pretrained_model.

## Detailed steps to install the prerequisites
* install tensorlfow, numpy following the instructions in the `install.sh`. Please do **not** use conda to install.
* follow the [instructions](https://trax.readthedocs.io/en/latest/tutorial_compiling.html) to build trax library 
* modify `/PATH/TO/CODE/FOLDER/`, `/PATH/TO/vot-toolkit/native/trax/support/python`, `/PATH/TO/vot-toolkit/native/trax/build/` in `tracker_ROAMpp.m` 
* set global variables in `configuration.m`:
`set_global_variable('python', '/usr/bin/python3');`
`set_global_variable('trax_source', '/PATH/TO/vot-toolkit/native/trax');`

If the tracker is ready, you will see the tracking results. (EAO: 0.2808 on GTX1080)
